Bug 115249 - ports-mgmt/portupgrade fails to refetch mismatched distfiles.
ports-mgmt/portupgrade fails to refetch mismatched distfiles.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
Depends on:
  Show dependency treegraph
Reported: 2007-08-06 16:50 UTC by koma2
Modified: 2008-01-26 18:30 UTC (History)
0 users

See Also:

file.diff (1.21 KB, patch)
2007-08-06 16:50 UTC, koma2
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description koma2 2007-08-06 16:50:03 UTC
(1) When checksum mismatch is occured and portupgrade retries to fetch mismatched distfiles,
the following error occurs and refetch fails.

--->  Retrying devel/cvs2cl
--->  Deleting mismatched files
--->  Building '/usr/ports/devel/cvs2cl'
===>  Cleaning for cvs2cl-2.67
===>  Extracting for cvs2cl-2.67
=> MD5 Checksum mismatch for cvs2cl.pl.
=> SHA256 Checksum mismatch for cvs2cl.pl.
===>  Refetch for 1 more times files: cvs2cl.pl cvs2cl.pl 
=> cvs2cl.pl doesn't seem to exist in /usr/ports/distfiles/.
=> Attempting to fetch from ftp://ftp.lab.kdd.co.jp/FreeBSD/ports/distfiles/.
env: /us/bin/fetch: No such file or directory
=> Attempting to fetch from http://www.red-bean.com/cvs2cl/.
env: /us/bin/fetch: No such file or directory
=> Attempting to fetch from ftp://ftp.lab.kdd.co.jp/FreeBSD/ports/distfiles/.
env: /us/bin/fetch: No such file or directory
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
*** Error code 1

Stop in /usr/local/ports/devel/cvs2cl.
*** Error code 1

Stop in /usr/local/ports/devel/cvs2cl.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.58159.0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=cvs2cl-2.62 UPGRADE_PORT_VER=2.62 make MASTER_SORT_REGEX= MASTER_SORT= "FETCH_CMD=/us/bin/fetch -Ap" FETCH_BEFORE_ARGS=-q DEPENDS_TARGET=package
** Fix the problem and try again.

(2) Format of "Checksum mismatch" message has been changed but portupgrade does not know it,
it fails to detect and delete the mismatched distfiles.

Fix: (1) In "rescue" clause in "build_port", "R" and "r" are removed from $fetch_cmd.
I do not know why this code exists, and removing it solves this problem.

(2) Update the "Checksum mismatch" message to the current one.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2007-08-06 16:50:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Over to maintainer
Comment 2 Sergey Matveychuk freebsd_committer 2007-08-09 16:29:43 UTC
State Changed
From-To: open->closed

Fixed in the main stream. Will soon in ports.
Comment 3 dfilter freebsd_committer 2008-01-26 18:29:46 UTC
sem         2008-01-26 18:29:41 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portupgrade-devel Makefile distinfo 
  - Update to 2.4.0
   * many bug fixes
   * now all dependencies run under portupgrade control
   * run 'make config-conditional' and 'make config' with -c and -C options
  PR:             ports/116830, ports/115249
  Reported by:    clemens fischer <ino-news@spotteswoode.dnsalias.org>,
                  KOMATSU Shinichiro <koma2@lovepeers.org>,
                  and other
  Revision  Changes    Path
  1.252     +1 -1      ports/ports-mgmt/portupgrade-devel/Makefile
  1.176     +3 -3      ports/ports-mgmt/portupgrade-devel/distinfo
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"